# xmlpp::Schema Class Reference

Represents an XML Schema. More...

`#include <libxml++/schema.h>`

Inherits xmlpp::NonCopyable.

Collaboration diagram for xmlpp::Schema:
[legend]

List of all members.

## Public Member Functions
| Schema (_xmlSchema* schema)
| Create a schema from the underlying libxml schema element.
| Schema (Document* document=0, bool embed=false)
| Create a schema from a XML document.
| ~Schema ()
virtual void | set_document (Document* document=0, bool embed=false)
| Set a new document to the schema.
Glib::ustring | get_name () const
Glib::ustring | get_target_namespace () const
Glib::ustring | get_version () const
Document* | get_document ()
const Document* | get_document () const
_xmlSchema* | cobj ()
| Access the underlying libxml implementation.
const _xmlSchema* | cobj () const
| Access the underlying libxml implementation.
## Protected Member Functions
virtual void | release_underlying ()

## Detailed Description

Represents an XML Schema.

Since libxml++ 2.24:

## Constructor & Destructor Documentation

xmlpp::Schema::Schema | ( | _xmlSchema * | schema | ) | `[explicit]`

Create a schema from the underlying libxml schema element.

xmlpp::Schema::Schema | ( | Document* | document = `0`,
|  | bool | embed = `false` |
| ) |  |  | `[explicit]`

Create a schema from a XML document.

Parameters:

  | document | XMLSchema document, 0 to create an empty schema document.
  | embed | If true, the document will be deleted when the schema is deleted or another document is set.

xmlpp::Schema::~Schema | ( |  | ) |

## Member Function Documentation

const _xmlSchema* xmlpp::Schema::cobj | ( |  | ) | const

Access the underlying libxml implementation.

_xmlSchema* xmlpp::Schema::cobj | ( |  | ) |

Access the underlying libxml implementation.

const Document* xmlpp::Schema::get_document | ( |  | ) | const

Document* xmlpp::Schema::get_document | ( |  | ) |

Glib::ustring xmlpp::Schema::get_name | ( |  | ) | const

Glib::ustring xmlpp::Schema::get_target_namespace | ( |  | ) | const

Glib::ustring xmlpp::Schema::get_version | ( |  | ) | const

virtual void xmlpp::Schema::release_underlying | ( |  | ) | `[protected, virtual]`

virtual void xmlpp::Schema::set_document | ( | Document* | document = `0`,
|  | bool | embed = `false` |
| ) |  |  | `[virtual]`

Set a new document to the schema.

Parameters:

  | document | XMLSchema document, 0 to create an empty schema document.
  | embed | If true, the document will be deleted when the schema is deleted or another document is set.

The documentation for this class was generated from the following file:

- schema.h